Thank you very much, much appreciated.
Posts
-
RE: Merging adjacent faces how / Finding entity ID
-
RE: Merging adjacent faces how / Finding entity ID
@tig said:
In code you can get your face's current ID with:
id = face.entityID --> 18411
To 'select' a face by its XLS given entityID... this snippet in the Ruby Console should work, finding the face by its ID in the active context:
i=1234;m=Sketchup.active_model;s=m.selection;s.clear;m.active_entities.grep(Sketchup;;Face).each{|f|if f.entityID==i;s.add(f);break;end}
Simple change
i=1234
to be the integer ID for the specific face...So if i write that in the ruby console and select a face it will display the face ID? I am really not such an expert in SU and have never tinkered with ruby scripts...
-
RE: Merging adjacent faces how / Finding entity ID
Thanks for the reply. I fixed the model so the back sides are facing the correct position. I have another question for which I did not want to open a whole other seperate topic.
I am using a plugin which generates the results in an excel sheet table. the problem is that if I select multiple surfaces it generates columns naming each surface by it's faceID. For example "Surface 18411". How can I find the entityID in the sketchup model? Is there any plugin for it?
Cheers
-
RE: Merging adjacent faces how / Finding entity ID
Hm I think I'll have to get some facts straight about reverse/interior faces (having some problems understanding what's what), before I comment on that, but this building isn't meant for rendering purposes, but I will use it in a sun analysis which exports the shading coefficients for each surface anaysed, thus I wanted to join as much areas as possible to avoid unneccessary excel work, but it seems I will have to do it just as well. Anyways I am really glad I found this forum, you guys are awesome.
Cheers
-
RE: Merging adjacent faces how / Finding entity ID
Hello,
I am attaching the sketchup file... I haven't read all of the comments but will do it ASAP. I hope the attached sketchup file will provide a solution to my problem. Thanks for the help everybody.
Cheers
-
Merging adjacent faces how / Finding entity ID
Hello,
I am trying to merge adjacent faces with the Cleanup tool, but it just doesn't merge them. Event with coplanar faces on the z-axis I am having problems. What I do is Select faces --> select also boundaring edges ---> merge edges (Cleanup), but it just doesn't work.
I am trying to merge the faces, because I have so many faces on my object it will just make the result analysis really time consuming for me. I am doing my master thesis so any help with this problem would be very welcome.
Picture of the problem:
Cheers,
Milan
-
RE: Merge/Combine Faces Plugin - Request.
Hello,
I am having a problem of joining adjacent faces. Is this even possible in cleanup? If not, do you suggest any other plugin?
Cheers